import req from '@/request'

const portal = window.context.portal

// 表格分页
export function tableData(data) {
  return new Promise((resolve, reject) => {
    req.post(portal + `/bizBaseOutCompany/v1/query`, data)
      .then(res => resolve(res?.data || []))
      .catch(err => reject(err))
  })
}

// 新增
export function tableAdd(data) {
  return new Promise((resolve, reject) => {
    req.post(portal + `/bizBaseOutCompany/v1/`, data)
      .then(res => resolve(res?.data || []))
      .catch(err => reject(err))
  })
}

// 修改
export function tableEdit(data) {
  return new Promise((resolve, reject) => {
    req.put(portal + `/bizBaseOutCompany/v1/`, data)
      .then(res => resolve(res?.data || []))
      .catch(err => reject(err))
  })
}

// 表格详情
export function tableDetail(id) {
  return new Promise((resolve, reject) => {
    req.get(portal + `/bizBaseOutCompany/v1/${id}`)
      .then(res => resolve(res?.data || {}))
      .catch(err => reject(err))
  })
}

// 表格删除
export function tableDelete(ids) {
  return new Promise((resolve, reject) => {
    req.remove(portal + `/bizBaseOutCompany/v1/?ids=${ids}`)
      .then(res => resolve(res?.data || {}))
      .catch(err => reject(err))
  })
}

// 获得单位树
export function orgTree() {
  return new Promise((resolve, reject) => {
    req.get(portal + `/uc/org/orgTree`)
      .then(res => resolve(res.data || []))
      .catch(err => reject(err))
  })
}

// 表格分页
export function companyData() {
  let params = {
    pageBean: {
      pageSize: -1
    },
    querys: [],
    sorter: []
  }
  return new Promise((resolve, reject) => {
    req.post(portal + `/bizBaseOutCompany/v1/query`, params)
      .then(res => resolve(res?.data || []))
      .catch(err => reject(err))
  })
}
